%global srcname pytest-cov

Name:           python3-%{srcname}
Version:        2.5.1
Release:        1%{?dist}
Summary:        Pytest plugin for coverage reporting

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/pytest-dev/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Pytest plugin for coverage reporting
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-coverage >= 3.7.1
# For tests
#  Not packaged
#  BuildRequires:  python%{python3_pkgversion}-fields
BuildRequires:  python%{python3_pkgversion}-process-tests
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-virtualenv
Requires:       python%{python3_pkgversion}-pytest
Requires:       python%{python3_pkgversion}-coverage >= 3.7.1
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python 3.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf *.egg-info


%build
%py3_build


%install
%py3_install


%check
# Tests fail https://github.com/pytest-dev/pytest-cov/issues/90
PYTHONPATH=%{buildroot}%{python3_sitelib}:$PWD/tests py.test-%{python3_version} -vv || :


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst
%{python3_sitelib}/*


%changelog
* Wed Aug 9 2017 Orion Poplawski <orion@cora.nwra.com> - 2.5.1-1
- Initial EPEL only package
